import {Component, ViewChild} from '@angular/core';
import {IonicPage, NavController, NavParams, Slides} from 'ionic-angular';
import {ActivityApplyPage} from "../activityApply/activityApply";


declare var Swiper;
@IonicPage()
@Component({
  selector: 'page-batch-detail',
  templateUrl: 'batch-detail.html',
})
export class BatchDetailPage {
    @ViewChild('contentSlides') contentSlides: Slides;

    batch={
        batchEndDate:'',
        signUp:true,
        order:null,
        batchName:''
    };
    swiper;
    swiperIndex = 0;
  constructor(public navCtrl: NavController, public navParams: NavParams) {
  }

  ionViewDidLoad() {
   // this.initSwiper();
      let now = new Date().getTime();
      this.batch =  this.navParams.get('batch');
      console.log(this.batch);
          let endDate = this.batch.batchEndDate + " 24:00:00";
          endDate = new Date(endDate) +"";     //判断是否过截止日期
          if( now > Number(endDate) ){
              this.batch.signUp = false;
          }else{
              this.batch.signUp = true;
          }
  }

  initSwiper(){
      this.swiper = new Swiper('.pageMenuSlides .swiper-container', {
          //设置slider容器能够同时显示的slides数量(
          slidesPreView: 3,
          //slide之间的距离（单位px）
          spaceBetween: 0,
          //断点设定：根据屏幕宽度设置某参数为不同的值
          breakpoints: {
              1024: {
                  slidesPerView: 3,
                  spaceBetween: 0
              },
              768: {
                  slidesPerView: 3,
                  spaceBetween: 0
              },
              640: {
                  slidesPerView: 3,
                  spaceBetween: 0
              },
              320: {
                  slidesPerView: 3,
                  spaceBetween: 0
              }
          }
      });
  }

    selectPageMenu(index) {
        this.swiperIndex = index;
        //切换页面
        this.contentSlides.slideTo(index);
    }

    setStyle(index) {

    }

    slideChanged() {
        //getActiveIndex()获得当前页面的index
        let index = this.contentSlides.getActiveIndex();
        this.setStyle(index);
        //s切换菜单
        this.swiper.slideTo(index, 300);

    }

    goApply(){
      this.navCtrl.push('ActivityApplyPage');
    }
}
